/*
* @(#) RunLoader.java - Main per la class NetworkClassLoader.
*
*/

import loader.NetworkClassLoader;
/**
* Classe che esegue NetworkClassLoader.<br>
* <br>
* La sintassi e': java RunLoader hostname nameclass (senza .class)<br>
* Esempio: java RunLoader gemini Main  <br>
* <br>
* Nota: il metodo newInstance() che istanzia la classe, esegue il costruttore di
* default della classe.<br>
*
* @version		1.0 Gennaio 1998
* @author		Donato Cappetta - cappetta@diiie.unisa.it
*/
public class RunLoader {
	public static void main (String args[]) {
		String hostName = null;
		String nameClass = null ;
		int port = 5050;

		if (args.length == 2 ) {
			hostName = args[0];
			nameClass = args[1] ;
		} else {
		    System.out.println("Sintassi: java RunLoader <hostname> <nameclass>");
           System.exit(0);
		}

		try {
			ClassLoader loader = new NetworkClassLoader(hostName, port);
			Class c = loader.loadClass(nameClass);
			Object main = c.newInstance();
 		} catch(Throwable t) {
 			System.err.println("Errore in RunLoader: " + t.toString());
		}
	}	//end main()
}	//end class RunLoader.